	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "wind4")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -37.27)
	call psetr("subpage_upper_right_longitude", 65.00)
	call psetr("subpage_upper_right_latitude", 51.28)
	call psetc("subpage_map_projection", "polar_stereographic")
	call psetr("subpage_lower_left_latitude", 21.51)

	call psetc("grib_id", "vo700")
	call psetc("grib_input_file_name", "./vorticity.grib")
	call pgrib

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_legend_text", "Contour shade (MORE CONTOURS) Range: -200 / 200")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/-200.00, -100.00, -75.00, -50.00, -30.00, -20.00, -15.00, -13.00, -11.00, -9.00, -7.00, -5.00, -3.00, -1.00, 1.00, 3.00, 5.00, 7.00, 9.00, 11.00, 13.00, 15.00, 20.00, 30.00, 50.00, 75.00, 100.00, 200.00/), 28)
	call psetc("legend", "on")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call psetc("contour_hilo", "off")
	call psetc("contour", "off")
	call pset1c("contour_shade_colour_list", (/"rgb(0,0,0.3)", "rgb(0,0,0.5)", "rgb(0,0,0.7)", "rgb(0,0,0.9)", "rgb(0,0.15,1)", "rgb(0,0.3,1)", "rgb(0,0.45,1)", "rgb(0,0.6,1)", "rgb(0,0.75,1)", "rgb(0,0.85,1)", "rgb(0.2,0.95,1)", "rgb(0.45,1,1)", "rgb(0.75,1,1)", "none", "rgb(1,1,0)", "rgb(1,0.9,0)", "rgb(1,0.8,0)", "rgb(1,0.7,0)", "rgb(1,0.6,0)", "rgb(1,0.5,0)", "rgb(1,0.4,0)", "rgb(1,0.3,0)", "rgb(1,0.15,0)", "rgb(0.9,0,0)", "rgb(0.7,0,0)", "rgb(0.5,0,0)", "rgb(0.3,0,0)"/), 27)
	call pcont

	call psetr("legend_box_x_position", 1.00)
	call psetc("legend_display_type", "continuous")
	call psetc("legend_box_blanking", "on")
	call psetr("legend_box_y_position", 16.00)
	call psetr("legend_box_x_length", 27.00)
	call psetc("legend_border", "off")
	call psetr("legend_text_font_size", 0.50)
	call psetc("legend_border_colour", "black")
	call psetc("legend_box_mode", "positional")
	call psetc("legend_text_colour", "black")
	call psetr("legend_box_y_length", 1.50)
	call psetc("legend", "on")

	call psetc("grib_id", "uv700")
	call psetc("grib_input_file_name", "./wind.grib")
	call pgrib

	call psetc("wind_legend_text", "Black wind flags (in knots)")
	call psetr("wind_arrow_unit_velocity", 10.00)
	call psetc("wind_flag_origin_marker", "dot")
	call psetr("wind_thinning_factor", 2.50)
	call psetc("wind_arrow_unit_system", "automatic")
	call psetr("wind_flag_length", 0.30)
	call psetr("wind_flag_origin_marker_size", 0.10)
	call psetc("wind_field_type", "Flags")
	call psetc("wind_flag_colour", "black")
	call psetc("wind_thinning_method", "automatic")
	call pwind

	call psetc("map_label", "off")
	call psetc("map_coastline_colour", "black")
	call psetc("map_grid", "off")
	call psetc("map_coastline_sea_shade", "off")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call psetc("text_mode", "positional")
	call psetr("text_box_y_length", 2.30)
	call psetc("text_justification", "center")
	call psetr("text_font_size", 0.50)
	call psetr("text_box_x_length", 27.00)
	call pset1c("text_lines", (/"<font size='1'>Vorticity and wind flags</font>", "Vorticity at 700 hPa"/), 2)
	call psetr("text_box_x_position", 1.00)
	call psetr("text_box_y_position", 17.50)
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
